.\" Copyright (c) 1983, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)battlestar.6	8.1 (Berkeley) 5/31/93
.\" $FreeBSD: src/games/battlestar/battlestar.6,v 1.4.2.1 2001/07/22 11:32:34 dd Exp $
.\" $DragonFly: src/games/battlestar/battlestar.6,v 1.5 2007/05/19 17:32:12 swildner Exp $
.\"
.Dd May 31, 1993
.Dt BATTLESTAR 6
.Os
.Sh NAME
.Nm battlestar
.Nd a tropical adventure game
.Sh SYNOPSIS
.Nm
.Op Fl r
.Sh DESCRIPTION
.Nm
is an adventure game in the classic style.
However, it's slightly less of a puzzle and more a game of exploration.
There are a few magical words in the game, but on the whole, simple English
should suffice to make one's desires understandable to the parser.
.Sh THE SETTING
In the days before the darkness came, when battlestars ruled the heavens...
.Bd -literal -offset indent
Three He made and gave them to His daughters,
Beautiful nymphs, the goddesses of the waters.
One to bring good luck and simple feats of wonder,
Two to wash the lands and churn the waves asunder,
Three to rule the world and purge the skies with thunder.
.Ed
.Pp
In those times great wizards were known and their powers were beyond belief.
They could take any object from thin air, and, uttering the word
.Sq su
could disappear.
.Pp
In those times men were known for their lust for gold and desire to
wear fine weapons.
Swords and coats of mail were fashioned that could withstand a laser blast.
.Pp
But when the darkness fell, the rightful reigns were toppled.
Swords and helms and heads of state went rolling across the grass.
The entire fleet of battlestars was reduced to a single ship.
.Sh SAMPLE COMMANDS
.Bd -literal -offset indent
take	---	take an object
drop	---	drop an object

wear	---	wear an object you are holding
draw	---	carry an object you are wearing

put on	---	take an object and wear it
take off --	draw an object and drop it

throw  \*[Lt]object\*[Gt] \*[Lt]direction\*[Gt]

!	\*[Lt]shell esc\*[Gt]
.Ed
.Sh IMPLIED OBJECTS
.Bd -literal -offset indent
\*[Gt]-: take watermelon
watermelon:
Taken.
\*[Gt]-: eat
watermelon:
Eaten.
\*[Gt]-: take knife and sword and apple, drop all
knife:
Taken.
broadsword:
Taken.
apple:
Taken.
knife:
Dropped.
broadsword:
Dropped.
apple:
Dropped.
\*[Gt]-: get
knife:
Taken.
.Ed
.Pp
Notice that the "shadow" of the next word stays around if you
want to take advantage of it.
That is, saying "take knife" and then "drop"
will drop the knife you just took.
.Sh SCORE \*[Am] INVEN
The two commands
.Dq score
and
.Dq inven
will print out your current status in the game.
.Sh SAVING A GAME
The command
.Dq save
will save your game in a file called
.Pa Bstar
in your home directory by default.
You can recover a saved game by using the
.Fl r
option when you start up the game.
.Sh DIRECTIONS
The compass directions N, S, E, and W can be used if you have a compass.
If you don't have a compass, you'll have to say R, L, A, or B, which
stand for Right, Left, Ahead, and Back.
Directions printed in room descriptions are
always printed in R, L, A, and B relative directions.
.Sh HISTORY
I wrote
.Nm Battlestar
in 1979 in order to experiment with the niceties of the C Language.
Most interesting things that happen in the game are hardwired into the
code, so don't send me any hate mail about it!
Instead, enjoy art for art's sake!
.Sh AUTHORS
.An David Riggle
.Sh INSPIRATION \*[Am] ASSISTANCE
.Bl -item -compact
.It
Chris Guthrie
.It
Peter Da Silva
.It
Kevin Brown
.It
Edward Wang
.It
Ken Arnold \*[Am] Company
.El
.Sh BUGS
Countless.
.Sh FAN MAIL
Send to edward%ucbarpa@berkeley.arpa, chris%ucbcory@berkeley.arpa,
riggle.pa@xerox.arpa.
